Subject: Re: bug#47657: python-shell font-lock with multi-line input: runaway fontification buffer length

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Oct 2021 18:45:34 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> JD Smith <[email-masked]> writes:
>
>> Very odd, I get :
>>
>>  1
>>  1
>>  7
>>
>> in *Python-font-lock* after precisely these same steps.  What if you
>> use C-j in step
>> #5 instead of C-c SPC?
>
> I don't see any difference.
>
> (This is with Emacs 27.2 on Debian/Bullseye.)

I was finally able to reproduce this -- I'm not sure what I was doing
differently before.  This is now fixed in Emacs 29 (I'm not putting the
fix into emacs-28, because I'm not 100% sure about it).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no